Bug 136521 - packer.h not included in cracklib RPM
Summary: packer.h not included in cracklib RPM
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cracklib   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-20 18:07 UTC by Jeff Minelli
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:15:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Minelli 2004-10-20 18:07:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10.1

Description of problem:
When building PHP from SRPM with '--with-crack', the build process
fails with:

   'configure: error: Cannot find a cracklib header file'

If you rebuild cracklib from SRPM and include packer.h in the new
binary RPM, then PHP builds without problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. take base install with cracklib and php
2. build PHP from SPRM with '--with-crack'
3.
    

Actual Results:  configure: error: Cannot find a cracklib header file

Expected Results:  PHP should build

Additional info:

Comment 1 RHEL Product and Program Management 2007-10-19 19:15:43 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.